Skip to main content
GET
/
happyhorse
/
api
/
v1
/
tasks
/
{task_id}
cURL
curl --request GET \
  --url https://api.ttapi.io/happyhorse/api/v1/tasks/{task_id} \
  --header 'TT-API-KEY: <api-key>'
{
  "request_id": "35137489-2862-96cb-b6f2-xxxxxx",
  "output": {
    "task_id": "1469cfc3-3004-4d9e-ab10-xxxxxx",
    "task_status": "SUCCEEDED",
    "submit_time": "2026-04-25 15:03:25.848",
    "scheduled_time": "2026-04-25 15:03:25.884",
    "end_time": "2026-04-25 15:04:05.882",
    "orig_prompt": "Woman in red qipao character1, camera first captures the slim fit and S-curve from side medium shot, then switches to low angle to capture the tassel earrings character3 swaying as she gracefully opens the folding fan character2, finally zooms to facial close-up, freezing her subtle charm as her fingertips lightly touch the fan bone with eyes flowing with emotion, showcasing Oriental elegance from multiple perspectives.",
    "video_url": "https://dashscope-result.oss-cn-beijing.aliyuncs.com/xxxx.mp4"
  },
  "usage": {
    "duration": 5,
    "input_video_duration": 0,
    "output_video_duration": 5,
    "video_count": 1,
    "SR": 720,
    "ratio": "16:9"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

TT-API-KEY
string
header
required

Please go to TTAPI Console to get the API key.

Path Parameters

task_id
string
required

Task ID. Valid for 24 hours.

Response

Query task result successful

request_id
string
required

Request unique identifier. Can be used for request tracing and troubleshooting.

Example:

"c11018a8-3f83-9591-a636-xxxxxx"

output
object
required

Task output information

Example:
{
"task_id": "1469cfc3-3004-4d9e-ab10-xxxxxx",
"task_status": "SUCCEEDED",
"submit_time": "2026-04-25 15:03:25.848",
"scheduled_time": "2026-04-25 15:03:25.884",
"end_time": "2026-04-25 15:04:05.882",
"orig_prompt": "Woman in red qipao character1, camera first captures the slim fit and S-curve from side medium shot, then switches to low angle to capture the tassel earrings character3 swaying as she gracefully opens the folding fan character2, finally zooms to facial close-up, freezing her subtle charm as her fingertips lightly touch the fan bone with eyes flowing with emotion, showcasing Oriental elegance from multiple perspectives.",
"video_url": "https://dashscope-result.oss-cn-beijing.aliyuncs.com/xxxx.mp4"
}
usage
object

Output information statistics. Only counted for successful results.

Last modified on April 29, 2026